import { line, curveNatural } from 'd3';
export const Marks = function ({
  data,
  xScale,
  yScale,
  selectedSex,
  sexColorScale,
  sexColorValue,
  yValue,
  selected_age_group,
  tooltipFormat,
  circleRadius
 }) {
  let suicideX = [];
  let alcoholX = [];
  let firearmX = [];
  let yearY = [];
  let newDatas = [];
  data.forEach(function(d) {
    if (d.Region === 'Total' && d.RaceorEthnicity === 'Total' && d.Sex === 'Total' && d.AgeGroup === 'Total') {
    	//console.log(d);
      suicideX.push(d.SuicideDeaths);
      alcoholX.push(d.AlcoholRelatedDeaths);
      firearmX.push(d.FirearmDeaths);
      yearY.push(d.Year);
      let newData = {SuicideDeaths: d.SuicideDeaths, AlcoholRelatedDeaths: d.AlcoholRelatedDeaths, FirearmDeaths: d.FirearmDeaths, Year: d.Year};
      newDatas.push(newData);
          
    }
  });
  //console.log(data);
  
  return (<g className="marks">
    <path
      fill="none"
      stroke="green"
      d={line()
        .x(d => xScale(d.Year))
        .y(d => yScale(d.SuicideDeaths))
        .curve(curveNatural)(newDatas)}
    />
    <path
      fill="none"
      stroke="red"
      d={line()
        .x(d => xScale(d.Year))
        .y(d => yScale(d.AlcoholRelatedDeaths))
        .curve(curveNatural)(newDatas)}
    />
    <path
      fill="none"
      stroke="blue"
      d={line()
        .x(d => xScale(d.Year))
        .y(d => yScale(d.FirearmDeaths))
        .curve(curveNatural)(newDatas)}
    />
  </g>)

};